#!/bin/bash
#-------------------------------------------------------------
# Short script that will periodically check the queue and print
# the status to the screen. Use this for tracking jobs.
#
# - This script was written by CD for pleiades.
#-------------------------------------------------------------

tmp=1

tmpfile="${HOME}/tmp_qcheck_tmp.txt"

while [ "$tmp" -eq 1 ]
do
#   echo "----"
#   qstat -u cjdowns | grep pbs

   # use this if you want to get the number of jobs
   do_get_num=1
   if [ $do_get_num == 1 ]; then
     qstat -W o=+Pri -u cjdowns @pbspl1 | grep pbs > ${tmpfile}
     cat ${tmpfile}
     echo "number of jobs: `cat ${tmpfile} | wc -l`"
     \rm -f ${tmpfile}

   # use this if you just want to print it
   else
     qstat -W o=+Pri -u cjdowns @pbspl1 | grep pbs > ${tmpfile}
   fi

   echo "----------"
   sleep 30
   #sleep 20
done

